#include "Event.hh"
#include "Track.hh"
#include "Hit.hh"

ClassImp(Event)

Event::Event(){
}

Event::~Event(){
  Reset();
}

void Event::AddTrack(Track* track){
  Tracks.push_back(track);
}

void Event::AddHit(Hit* hit){
  Hits.push_back(hit);
}

void Event::AddPrimaryTrack(Track* track){
  PrimaryTrack = track;
  AddTrack(track);
}

Track* Event::GetPrimaryTrack(){
  return dynamic_cast<Track*>(PrimaryTrack.GetObject());
}

void Event::Reset(){
  PrimaryTrack = 0;
  for(Track* track: Tracks){
    delete track;
  }
  Tracks.clear();
  for(Hit* hit: Hits){
    delete hit;
  }  
  Hits.clear();
}

std::vector<Hit*>* Event::GetHits(){
  return &Hits;
}

std::vector<Track*>* Event::GetTracks(){
  return &Tracks;
}
