#ifndef hit_hh
#define hit_hh

#include "TObject.h"
#include "TRef.h"

class Track;

/**
 * Hit class
 * Has one data field and one pointer to its parent track
 * (but does not take the ownership of the track).
 */
class Hit : public TObject {

public:
  Hit();
  ~Hit();

  //Add pointer to parent track
  void AddTrack(Track* track);
  //Get pointer to parent track
  Track* GetTrack();
  //Add data
  void AddData(double data);
  //Get data
  double GetData() const;

private:
  TRef ParentTrack;//Pointer to parent track
  double Data;//Data field

  ClassDef(Hit, 1);
};

#endif
