#ifndef track_hh
#define track_hh

#include "TObject.h"

class Hit;
class TRefArray;

/**
 * Track class
 * Has one data field and stores pointer to all hits
 * which were created by this hit.
 * (It does not take ownership of the hits.)
 */
class Track : public TObject{

public:
  Track();
  ~Track();

  //Add pointer to hit
  void AddHit(Hit* hit);
  //Returns pointer to the TRefArray with the pointers to the hits
  TRefArray* GetHits();
  //Add data
  void AddData(double data);
  //Get data
  double GetData() const;

private:
  TRefArray *Hits;//Pointer to TRefArray with pointers to all hits created by this track
  double Data;//Data field

  ClassDef(Track, 1);
};

#endif
