#include "Event.hh"
#include "Track.hh"
#include "Hit.hh"
#include "TRefArray.h"
#include "TTree.h"
#include <iostream>
#include <vector>

void printEvent(){
  Event *myEvent = new Event();
  tree->SetBranchAddress("event", &myEvent);

  //Loop over all events in the tree
  for(long int eventID = 0; eventID < tree->GetEntries(); ++eventID){
    tree->GetEntry(eventID);
    std::cout << "Event #" << eventID << std::endl;
    Track* myPrimaryTrack = myEvent->GetPrimaryTrack();
    std::cout << " Primary track data: " << myPrimaryTrack->GetData() << std::endl;
    std::vector<Track*>* myTracks = myEvent->GetTracks();

    //Loop over all tracks of the event
    for(size_t trackID = 0; trackID < myTracks->size(); ++trackID){
      Track* myTrack = myTracks->at(trackID);
      std::cout << " Track #" << trackID << " - data: " << myTrack->GetData() << std::endl;
      TRefArray* myTrackHits = myTrack->GetHits();
      
      //Loop over all hits of the track
      for(size_t i = 0; i < myTrackHits->GetEntries(); ++i){
	Hit* myHit = dynamic_cast<Hit*>(myTrackHits->At(i));
	std::cout << "  Hit #" << i << " - data: " << myHit->GetData() << std::endl;
      }
    }
    std::vector<Hit*>* myHits = myEvent->GetHits();

    //Loop over all hits of the event
    for(size_t hitID = 0; hitID < myHits->size(); ++hitID){
      Hit* myHit = myHits->at(hitID);
      std::cout << " Hit #" << hitID << " - data: " << myHit->GetData() << " - parent track data: " << myHit->GetTrack()->GetData() << std::endl;
    }
  }

  delete myEvent;
}
